### Function

# GLib HashTable remove

#### Declaration [src]

    gboolean
    g_hash_table_remove (
      GHashTable* hash_table,
      gconstpointer key
    )

#### Description [src]

Removes a key and its associated value from a `GHashTable`.

If the `GHashTable` was created using g_hash_table_new_full(), the key and value are freed using the supplied destroy functions, otherwise you have to make sure that any dynamically allocated values are freed yourself.

#### Parameters

`hash_table`

  Type: `GHashTable`

  A `GHashTable`.

  The data is owned by the caller of the function.

`key`

  Type: `gconstpointer`

  The key to remove.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the key was found and removed from the `GHashTable`.